Subject: Re: git_inetd_server: run git-http-backend using inetd

From: Torsten Bögershausen <[email-masked]>
Date: Sat, 19 Jul 2014 08:21:13 +0200

On 07/18/2014 12:10 AM, Jonathan Nieder wrote:
> Hi,
>
> Kyle J. McKay wrote:
>
>> When I then try to fetch using a "git://host/..." URL where "host"
>> is an mDNS host name, the 0010 patch causes git to attempt to lookup
>> a DNS SRV record on the non-mDNS regular DNS service (a violation of
>> RFC 6762 [4] section 22) and this is what has to time out before the
>> real fetch can start.
> That patch uses res_query from libresolv to do the lookup.  It doesn't
> know what DNS server to use and relies on system libraries to get it
> right.
>
> It was added to respond to a feature request within Debian but it is
> intended to eventually go upstream.  I'm glad you found this issue
> before that could happen. :)
>
> Should git automatically disable the SRV lookups when it sees one of
> the six domains named in RFC6762, or is there some system library call
> that can use mDNS when appropriate automatically (or get partway there
> without having to hard-code the domains)?
>
> Thanks,
> Jonathan
(My apologies, if this is spamish), but just to verify what is going on:

git fetch git://host.local/...
results in a DNS lookup ?

Kyle, did you verify the lookup with wireshark or a similar tool?

Jonathan, (I'm good in searching, but bad in finding)
could you point out where the source code for the git package for
debian is ?

I recently learned about mDNS, and will probably do some tests
and experiments later, and would like to test the lookup feature
of "0010".

Thanks.
/Torsten